> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for review reply templates

> This endpoint lets you browse through all your reply review templates.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /reviews/templates/search
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /reviews/templates/search:
    get:
      tags:
        - Reviews
      summary: Search for review reply templates
      description: |
        This endpoint lets you browse through all your reply review templates.
      operationId: searchTemplate
      parameters:
        - $ref: '#/components/parameters/query_page'
        - $ref: '#/components/parameters/query_positive_template'
        - $ref: '#/components/parameters/query_neutral_template'
        - $ref: '#/components/parameters/query_negative_template'
        - $ref: '#/components/parameters/query_language__in'
        - $ref: '#/components/parameters/query_title_query'
        - $ref: '#/components/parameters/query_text_query'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ListResult'
                  - type: object
                    properties:
                      reply_templates:
                        type: array
                        description: List of reply review templates
                        items:
                          $ref: '#/components/schemas/Template'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    query_page:
      in: query
      name: page
      schema:
        type: integer
        default: 1
      description: |
        Page number.
        Starts at 1. Any value lower than 1 will be considered as 1.
        For the number of items per page, see the `per_page` query parameter.
    query_positive_template:
      in: query
      name: positive
      description: >-
        Filter on templates made to answer positive reviews (ex from 4 to 5
        stars on gmb).
      required: false
      schema:
        type: boolean
    query_neutral_template:
      in: query
      name: neutral
      description: Filter on templates made to answer neutral reviews (ex 3 stars on gmb).
      required: false
      schema:
        type: boolean
    query_negative_template:
      in: query
      name: negative
      description: >-
        Filter on templates made to answer negative reviews (ex from 1 to 2
        stars on gmb).
      required: false
      schema:
        type: boolean
    query_language__in:
      in: query
      name: language__in
      description: Filter on templates in the specified languages.
      required: false
      schema:
        type: array
        items:
          $ref: '#/components/schemas/Lang'
        example: fr,it
    query_title_query:
      in: query
      name: title_query
      schema:
        type: string
      required: false
      description: Filter on templates based on their title
    query_text_query:
      in: query
      name: text_query
      schema:
        type: string
      required: false
      description: Filter on templates based on their text
  schemas:
    ListResult:
      type: object
      properties:
        page:
          $ref: '#/components/schemas/current_page'
        max_page:
          $ref: '#/components/schemas/max_page'
        count:
          $ref: '#/components/schemas/count'
    Template:
      description: Review's reply template
      type: object
      properties:
        id:
          $ref: '#/components/schemas/TemplateId'
        org_id:
          $ref: '#/components/schemas/OrgId'
        update_date:
          $ref: '#/components/schemas/TemplateUpdateDate'
        creation_date:
          $ref: '#/components/schemas/TemplateCreationDate'
        language:
          $ref: '#/components/schemas/Lang'
        title:
          $ref: '#/components/schemas/TemplateTitle'
        text:
          $ref: '#/components/schemas/TemplateText'
        negative:
          $ref: '#/components/schemas/TemplateNegative'
        neutral:
          $ref: '#/components/schemas/TemplateNeutral'
        positive:
          $ref: '#/components/schemas/TemplatePositive'
    Lang:
      description: Available language in the application
      type: string
      enum:
        - fr
        - en
        - es
        - it
        - pt-br
        - de
        - ar
        - nl
        - pl
        - cs
        - ca
        - sk
        - pt
        - lv
        - ro
        - bg
        - hu
      example: fr
    current_page:
      type: integer
      description: Current page number
      example: 1
    max_page:
      type: integer
      description: Last page number
      example: 10
    count:
      type: integer
      description: Number of resources complying with filters
      example: 287
    TemplateId:
      type: integer
      description: Template id
      example: 34
    OrgId:
      description: Unique identifier of an organization in Partoo.
      type: integer
      example: 42
    TemplateUpdateDate:
      type: string
      description: Template update date
      format: datetime
      example: '2017-08-01T19:15:54.256000+02:00'
    TemplateCreationDate:
      type: string
      description: Template creation date
      format: datetime
      example: '2017-08-01T19:15:54.256000+02:00'
    TemplateTitle:
      type: string
      description: Template title
    TemplateText:
      description: >
        The content of the reply template.


        Placeholders are recognisable within the text by this exact markup
        `@[](name_of_the_placeholder)`.

        Where `name_of_the_placeholder` is the `value` field taken from the `GET
        placeholders` operation.


        Example of usable placeholder values: `client_full_name`,
        `client_first_name`, `business_name`, `my_first_name`.
      type: string
      example: |-
        hello @[](client_full_name),
        Thanks from the team at @[](business_name).
        @[](my_first_name)
    TemplateNegative:
      type: boolean
      description: Template is made for negative reviews (ex from 1 to 2 stars on gmb)
    TemplateNeutral:
      type: boolean
      description: Template is made for neutral reviews (ex 3 stars on gmb)
    TemplatePositive:
      type: boolean
      description: Template is made for positive reviews (ex from 4 to 5 stars on gmb)
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````